Bug 990140 - Wireless adaptor does not work if connected to USB at boot time on Pandaboard
Wireless adaptor does not work if connected to USB at boot time on Pandaboard
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
arm Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-30 09:13 EDT by Canol Gökel
Modified: 2014-02-05 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-05 17:12:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Canol Gökel 2013-07-30 09:13:39 EDT
Description of problem:

I use Fedora 18 ARM build on Pandaboard development board. My USB wireless adaptor does not work if I leave it connected to USB port during boot. If I connect it after Fedora 18 boots up then it works. The brand of my wireless adaptor is INCA IUDS-300 (the output of lsusb command is below).

Version-Release number of selected component (if applicable):

Fedora 18. If I remember correctly I downloaded it from http://fedora-mirror02.rbc.ru/pub/fedora-secondary/releases/18/Images/armhfp/

How reproducible:

Almost always. It works occasionally.

Steps to Reproduce:
1. Connect the wireless adaptor when the system is off.
2. Boot up the system
3. You won't see wireless adaptor as listed on wireless connections.

Additional info:

The output of lsusb command is:

Bus 001 Device 002: ID 0424:9514 Standard Microsystems Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 0424:ec00 Standard Microsystems Corp. 
Bus 001 Device 004: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
Bus 001 Device 007: ID 0bda:8172 Realtek Semiconductor Corp. RTL8191SU 802.11n WLAN Adapter
Bus 001 Device 005: ID 0781:5567 SanDisk Corp. Cruzer Blade
Bus 001 Device 006: ID 046d:c52b Logitech, Inc. Unifying Receiver

I am not a Linux expert so I can't provide any other logs or something but if you tell me what outputs you need and what commands I need to execute in order to get them, I can provide them.
Comment 1 Fedora End Of Life 2013-12-21 09:24:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:12:53 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.